<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>.hiro - Portfolio</title>
    <!-- External CSS -->
    <link rel="stylesheet" href="./index.css" />
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
        integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous" />
    <!-- Animation CSS -->
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet" />
</head>

<body id="top">
    <!-- Nav bar -->
    <nav class="border-bottom border-dark navbar navbar-expand-lg navbar-light bg-light fixed-top p-1">
        <a class="navbar-brand ml-2" href="#top">.hiro</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-4">
                <li class="nav-item">
                    <a class="nav-link" href="#top">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#about-section">About Me</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#projects-section">Projects</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#tools-section">Tools</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#contact-section">Contact</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- End of Nav Bar -->

    <!-- Start of Main -->
    <main class="container-fluid">
        <!-- Start of landing -->
        <section id="landing-section" class="text-center p-5">
            <div class="row p-5 mt-xl-4">
                <div class="col-xl-6 col-12 order-xl-1 order-2 mt-5" data-aos="fade-up" data-aos-duration="3000">
                    <h1>Hirokatsu Lumbania</h1>
                    <h3>Full Stack Web Developer</h3>
                    <h5>
                        An enthusiastic and dependable developer with over two years of
                        experience in the Customer Service sector.
                    </h5>
                </div>
                <div class="col-xl-6 col-12 order-xl-2 order-1" data-aos="fade-down" data-aos-duration="3000">
                    <img src="./images/profile.png" class="rounded-circle border border-dark w-75" />
                </div>
            </div>
        </section>
        <!-- End of landing -->

        <!-- Start of About -->
        <section id="about-section" class="p-2 p-md-5 mb-lg-0 mb-sm-5">
            <div class="row p-5">
                <div class="col-xl-6 col-12 text-xl-left text-center">
                    <h2>About me</h2>
                    <h4 data-aos="fade-right" data-aos-duration="800">Who am I?</h4>
                    <h4 data-aos="fade-right" data-aos-duration="1000">
                        How old am I?
                    </h4>
                    <h4 data-aos="fade-right" data-aos-duration="1500">
                        Where did I graduate?
                    </h4>
                    <h4 data-aos="fade-right" data-aos-duration="2000">
                        What course did I take?
                    </h4>
                    <h4 data-aos="fade-right" data-aos-duration="2500">
                        Where did I learn to code?
                    </h4>
                    <h4 data-aos="fade-right" data-aos-duration="3000">
                        What inspired me to be a developer?
                    </h4>
                </div>
                <div class="col-xl-6 col-12 text-md-left text-justify" data-aos="fade-up" data-aos-duration="3000">
                    <p>
                        My name is <strong>Hirokatsu Lumbania</strong>,
                        <strong>24 years of age</strong>. I graduated from the
                        <strong>Technological Institute of the Philippines Quezon City</strong>
                        with a degree in <strong>Civil Engineering</strong>. I am a
                        licensed engineer but opted to switch careers towards the IT
                        industry. I <strong>self-studied coding</strong> with the help of
                        free online courses such as
                        <em>Harvard's CS50 for Introduction to Computer Science, App
                            Academy open for Web development, the University of Helsinki's
                            MOOC course for Java, and others</em>. Aside from self-studying, I am also
                        <strong>a student of Zuitt</strong>, one of the best coding boot
                        camps in the Philippines.
                    </p>

                    <p>
                        What inspired me to be a developer is that
                        <strong>you can create a functional program or website with just two
                            things: a computer and an idea!</strong>
                    </p>
                </div>
            </div>
        </section>
        <!-- End of About -->

        <!-- Start of Projects -->
        <section id="projects-section" class="p-lg-5 p-2">
            <div class="row p-5 mt-lg-0 mt-sm-5">
                <div class="col-12 text-center">
                    <h2>My Projects</h2>
                </div>
            </div>
            <div
                class="d-flex flex-column flex-lg-row align-items-center align-items-lg-stretch justify-content-around">
                <div class="card p-4 border-secondary mt-2 card-size" data-aos="flip-left" data-aos-duration="1500">
                    <img src="./images/project-1.JPG" class="card-img-top border border-secondary rounded-lg" />
                    <div class="card-body text-center">
                        <h5 class="card-title">Capstone 1</h5>
                        <p class="card-text">
                            This project focuses on creating my own developer portfolio. A
                            minimalistic approach was considered for the design. Three main
                            languages were used: <strong>HTML</strong>,
                            <strong>CSS</strong>, and <strong>Bootstrap</strong>
                        </p>
                        <a href="#top" class="btn btn-secondary">Go to Project</a>
                    </div>
                </div>
                <div class="card p-4 border-secondary mt-2 card-size" data-aos="flip-left" data-aos-duration="1500">
                    <img src="https://images.unsplash.com/photo-1461749280684-dccba630e2f6?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=869&q=80"
                        class="card-img-top border border-secondary rounded-lg" />
                    <div class="card-body text-center">
                        <h5 class="card-title">Coming soon!</h5>
                        <p class="card-text">
                            More projects to come. Please visit this page from time to time!
                        </p>
                        <a href="#" class="btn btn-white border border-dark disabled">Disabled</a>
                    </div>
                </div>
                <div class="card p-4 border-secondary mt-2 card-size" data-aos="flip-left" data-aos-duration="1500">
                    <img src="https://images.unsplash.com/photo-1486312338219-ce68d2c6f44d?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=872&q=80"
                        class="card-img-top border border-secondary rounded-lg" />
                    <div class="card-body text-center">
                        <h5 class="card-title">Coming soon!</h5>
                        <p class="card-text">
                            More projects to come. Please visit this page from time to time!
                        </p>
                        <a href="#" class="btn btn-white border border-dark disabled">Disabled</a>
                    </div>
                </div>
            </div>
        </section>
        <!-- End of Projects Section -->

        <!-- Start of Tools -->
        <section id="tools-section" class="p-lg-5 p-2">
            <div class="p-lg-5 mt-lg-0 mt-5">
                <h2 class="text-center">Core Tools</h2>
                <p class="text-center">
                    <em>Note: Click/Tap on the image to know more about the tool.</em>
                </p>
                <div class="row justify-content-center">
                    <div class="col-lg-3 col-6 text-center">
                        <p>
                            <button class="btn tools-btn" type="button" data-toggle="collapse" data-target="#html"
                                aria-expanded="false">
                                <img src="./images/logo-html5.png" class="img-fluid" data-aos="zoom-in"
                                    data-aos-duration="1200" />
                            </button>
                        </p>
                        <div>
                            <div class="collapse" id="html">
                                <div class="card card-body description">
                                    <strong>HyperText Markup Language (HTML)</strong> is the
                                    standard markup language for documents designed to be
                                    displayed in a web browser. It defines the meaning and
                                    structure of web content.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-6 text-center">
                        <p>
                            <button class="btn tools-btn" type="button" data-toggle="collapse" data-target="#css"
                                aria-expanded="false">
                                <img src="./images/logo-css3.png" class="img-fluid" data-aos="zoom-in"
                                    data-aos-duration="1200" />
                            </button>
                        </p>
                        <div>
                            <div class="collapse" id="css">
                                <div class="card card-body description">
                                    <strong>Cascading Style Sheets (CSS)</strong> is a style
                                    sheet language used for describing the presentation of a
                                    document written in a markup language such as HTML or XML
                                    (including XML dialects such as SVG, MathML or XHTML)
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-6 text-center">
                        <p>
                            <button class="btn tools-btn" type="button" data-toggle="collapse" data-target="#js"
                                aria-expanded="false">
                                <img src="./images/logo-javascript.png" class="img-fluid" data-aos="zoom-in"
                                    data-aos-duration="1200" />
                            </button>
                        </p>
                        <div>
                            <div class="collapse" id="js">
                                <div class="card card-body description">
                                    <strong>JavaScript (JS)</strong> is a programming language
                                    that is one of the core technologies of the World Wide Web,
                                    alongside HTML and CSS. As of 2023, 98.7% of websites use
                                    JavaScript on the client side for webpage behavior, often
                                    incorporating third-party libraries. All major web browsers
                                    have a dedicated JavaScript engine to execute the code on
                                    users' devices.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <h2 class="text-center">Other Tools</h2>
                <div class="text-center">
                    <div class="d-flex flex-column">
                        <div class="row">
                            <div class="text-center col-lg-3 col-6 offset-lg-2">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#bootstrap" aria-expanded="false">
                                        <img src="./images/logo-bootstrap.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="bootstrap">
                                        <div class="card card-body description">
                                            <strong>Bootstrap</strong> is a free and open-source CSS
                                            framework directed at responsive, mobile-first front-end
                                            web development. It contains HTML, CSS and (optionally)
                                            JavaScript-based design templates for typography, forms,
                                            buttons, navigation, and other interface components.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="text-center col-lg-3 col-6 offset-lg-2">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#git" aria-expanded="false">
                                        <img src="./images/logo-git.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="git">
                                        <div class="card card-body description">
                                            <strong>Git</strong> is a distributed version control
                                            system that tracks changes in any set of computer files,
                                            usually used for coordinating work among programmers
                                            collaboratively developing source code during software
                                            development. Its goals include speed, data integrity,
                                            and support for distributed, non-linear workflows
                                            (thousands of parallel branches running on different
                                            computers).
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row justify-content-center">
                            <div class="text-center col-lg-3 col-6">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#gitlab" aria-expanded="false">
                                        <img src="./images/logo-gitlab-ci-cd.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="gitlab">
                                        <div class="card card-body description">
                                            <strong>GitLab CI/CD</strong> is the part of GitLab that
                                            you use for all of the continuous methods (Continuous
                                            Integration, Delivery, and Deployment). With GitLab
                                            CI/CD, you can test, build, and publish your software
                                            with no third-party application or integration needed.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#node" aria-expanded="false">
                                        <img src="./images/logo-nodejs.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="node">
                                        <div class="card card-body description">
                                            <strong>Node.js</strong> lets developers use JavaScript
                                            to write command line tools and for server-side
                                            scripting. The ability to run JavaScript code on the
                                            server is often used to generate dynamic web page
                                            content before the page is sent to the user's web
                                            browser.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#sublime" aria-expanded="false">
                                        <img src="./images/logo-sublime-text-3.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="sublime">
                                        <div class="card card-body description">
                                            <strong>Sublime Text</strong> is a shareware text and
                                            source code editor available for Windows, macOS, and
                                            Linux. It natively supports many programming languages
                                            and markup languages.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="text-center col-lg-3 col-6">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#express" aria-expanded="false">
                                        <img src="./images/logo-expressjs.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="express">
                                        <div class="card card-body description">
                                            <strong>Express.js</strong> is a back end web
                                            application framework for building RESTful APIs with
                                            Node.js, released as free and open-source software under
                                            the MIT License. It is designed for building web
                                            applications and APIs. It has been called the de facto
                                            standard server framework for Node.js.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#heroku" aria-expanded="false">
                                        <img src="./images/logo-heroku.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="heroku">
                                        <div class="card card-body description">
                                            <strong>Heroku</strong> is a cloud platform as a service
                                            (PaaS) supporting several programming languages. One of
                                            the first cloud platforms, Heroku has been in
                                            development since June 2007, when it supported only the
                                            Ruby programming language, but now supports Java,
                                            Node.js, Scala, Clojure, Python, PHP, and Go.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#mongodb" aria-expanded="false">
                                        <img src="./images/logo-mongodb.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="mongodb">
                                        <div class="card card-body description">
                                            <strong>MongoDB</strong> is a source-available
                                            cross-platform document-oriented database program.
                                            Classified as a NoSQL database program, MongoDB uses
                                            JSON-like documents with optional schemas.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row justify-content-center">
                            <div class="text-center col-lg-3 col-6">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#postman" aria-expanded="false">
                                        <img src="./images/logo-postman.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="postman">
                                        <div class="card card-body description">
                                            <strong>Postman</strong> is an API Platform for
                                            developers to design, build, test and iterate their
                                            APIs.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#react" aria-expanded="false">
                                        <img src="./images/logo-react.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="react">
                                        <div class="card card-body description">
                                            <strong>React</strong> is a free and open-source
                                            front-end JavaScript library for building user
                                            interfaces based on components. It is maintained by Meta
                                            (formerly Facebook) and a community of individual
                                            developers and companies.
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-6 text-center offset-lg-1">
                                <p>
                                    <button class="btn tools-btn" type="button" data-toggle="collapse"
                                        data-target="#rest" aria-expanded="false">
                                        <img src="./images/logo-rest.png" class="img-fluid" data-aos="zoom-in"
                                            data-aos-duration="1200" />
                                    </button>
                                </p>
                                <div>
                                    <div class="collapse" id="rest">
                                        <div class="card card-body description">
                                            <strong>REST API</strong> is an API that conforms to the
                                            design principles of the REST, or representational state
                                            transfer architectural style. For this reason, REST APIs
                                            are sometimes referred to RESTful APIs.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- End of Tools Section -->

        <!-- Start of Contact Section -->
        <section id="contact-section" class="p-lg-5 p-2">
            <div class="p-lg-5 mt-lg-0 mt-5">
                <div class="row">
                    <div class="col-12 col-lg-6 d-flex flex-column justify-content-center">
                        <h1 data-aos="fade-right" data-aos-duration="1200">
                            Thank you for visiting.
                        </h1>
                        <h1 data-aos="fade-right" data-aos-duration="1200">
                            Like what you see?
                        </h1>
                        <h1 data-aos="fade-right" data-aos-duration="1200">
                            Hit me up through the following:
                        </h1>
                        <h2>
                            <ul class="list-unstyled">
                                <li data-aos="fade-right" data-aos-duration="1200">
                                    <a href="https://www.facebook.com/hirokatsu123/" target="_blank">Facebook</a>
                                </li>
                                <li data-aos="fade-right" data-aos-duration="1200">
                                    <a href="https://www.instagram.com/hirokatsu123/" target="_blank">Instagram</a>
                                </li>
                                <li data-aos="fade-right" data-aos-duration="1200">
                                    <a href="https://twitter.com/hirokatsu123" target="_blank">Twitter</a>
                                </li>
                                <li data-aos="fade-right" data-aos-duration="1200">
                                    <a href="https://www.linkedin.com/in/hirokatsu-lumbania/"
                                        target="_blank">LinkedIn</a>
                                </li>
                            </ul>
                        </h2>
                        <h1 data-aos="fade-right" data-aos-duration="2500">
                            Or you may fill up the form.
                        </h1>
                    </div>
                    <div class="col-12 col-lg-6 border border-dark bg-white rounded-lg p-5 text-dark"
                        data-aos="fade-down" data-aos-duration="3000">
                        <form>
                            <div class="form-group">
                                <label for="name">Name</label>
                                <input type="text" class="form-control" id="name" placeholder="Enter your name"
                                    autocomplete required />
                            </div>
                            <div class="form-group">
                                <label for="email">Email Address</label>
                                <input type="email" class="form-control" id="email"
                                    placeholder="Enter your email address" autocomplete required />
                            </div>
                            <div class="form-group">
                                <label for="contact-number">Contact Number</label>
                                <input type="number" class="form-control" id="contact-number" />
                            </div>
                            <div class="form-group">
                                <label for="concern">Concern</label>
                                <select id="concern" name="concern" class="form-control" required>
                                    <option value="general">General Query</option>
                                    <option value="quotation">Get a quotation</option>
                                    <option value="suggestion">
                                        Suggestions for improvement
                                    </option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="message">Message</label>
                                <textarea class="form-control" id="message" name="message" rows="3" required></textarea>
                            </div>

                            <button type="button" class="btn btn-primary" data-toggle="modal"
                                data-target="#submit-modal">
                                Submit
                            </button>
                        </form>
                    </div>
                </div>
            </div>

            <div class="modal fade" id="submit-modal" tabindex="-1" aria-labelledby="submit-modal" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="submit-modal">Form submission</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            Thank you for completing the form. We will get back to you as
                            soon as possible.
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                Close
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- End of Contact Section -->
    </main>
    <!-- End of Main -->

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
        crossorigin="anonymous"></script>
    <!-- Animation CSS -->
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script>
        AOS.init();
    </script>
</body>

</html>